このスレッドは未解決です(解決したらこちらで解決済にしてください)
<<戻る

5.3 yumでgcc glibc-headersでエラー このメッセージに返信する
日時: 2009/10/02 11:28
名前: AKI
URL:
CentOS5.3 です。
gccが入ってないので、yumでインストールしたのですが
エラーが出て進めません。
対策をご存知の方、いらっしゃいますか?

#yum install gcc

 ・・・

--> Processing Dependency: kernel-headers for package: glibc-headers
--> Finished Dependency Resolution
glibc-headers-2.5-34.el5_3.1.i386 from updates has depsolving problems
--> Missing Dependency: kernel-headers is needed by package glibc-headers-2.5-34.el5_3.1.i386 (updates)
glibc-headers-2.5-34.el5_3.1.i386 from updates has depsolving problems
--> Missing Dependency: kernel-headers >= 2.2.1 is needed by package glibc-headers-2.5-34.el5_3.1.i386 (updates)
Error: Missing Dependency: kernel-headers >= 2.2.1 is needed by package glibc-headers-2.5-34.el5_3.1.i386 (updates)
Error: Missing Dependency: kernel-headers is needed by package glibc-headers-2.5-34.el5_3.1.i386 (updates)
記事編集 編集
Re: 5.3 yumでgcc glibc-headersでエラー このメッセージに返信する
日時: 2009/10/02 14:01
名前: stranger
URL: http://ja.528p.com/
kernel-headersというrpmパッケージがあるから、最初にいれたら?
kernelとの依存性があるのでkernelもアップデートする
最新のものはkernel-headers-2.6.18-164
10日以内にはCentOS5.4が出る予定らしいが、5.3のときすったもんだしたのでわからない
記事編集 編集
Re: 5.3 yumでgcc glibc-headersでエラー このメッセージに返信する
日時: 2009/10/02 19:13
名前: AKI
URL:
CentOS5用のkernel-headersがありました
http://rpm.pbone.net/index.php3/stat/4/idpl/12869115/com/kernel-headers-2.6.18-164.el5.i386.rpm.html

で、一応、下記で gcc のインストールには成功しました...

# mkdir /usr/local/src/rpm1
# cd /usr/local/src/rpm1
# wget ftp://ftp.muug.mb.ca/mirror/centos/5.3/updates/i386/RPMS/kernel-headers-2.6.18-164.el5.i386.rpm
# ls
kernel-headers-2.6.18-164.el5.i386.rpm

# rpm -ivh kernel-headers-2.6.18-164.el5.i386.rpm
# rpm -qa | grep kernel
kernel-headers-2.6.18-164.el5
kernel-2.6.18-164.el5
kernel-2.6.18-53.el5

# yum install gcc
 ・・・
Installed: gcc.i386 0:4.1.2-44.el5
Dependency Installed: cpp.i386 0:4.1.2-44.el5 glibc-devel.i386 0:2.5-34.el5_3.1 glibc-headers.i386 0:2.5-34.el5_3.1 libgomp.i386 0:4.3.2-7.el5
Complete!


 OKっぽいです。 kernelもアップデートは、しませんでしたが...

strangerさん、kernel-headersの情報ありがとうございます。おかげでいけそうです!
記事編集 編集
Re: 5.3 yumでgcc glibc-headersでエラー このメッセージに返信する
日時: 2009/10/02 20:52
名前: stranger
URL: http://ja.528p.com/
kernel-2.6.18-164.el5 ←5.3のupdateの最新(たぶん5.4のもの)
kernel-2.6.18-53.el5 ← 5.3のisoのは2.6.18-128だから古い
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -